Added new module, qtwayland.
[mirror/qt/qt5.git] / qt.pro
diff --git a/qt.pro b/qt.pro
index ade52b5..3a00da4 100644 (file)
--- a/qt.pro
+++ b/qt.pro
@@ -97,6 +97,12 @@ module_qtconnectivity.subdir = $$IN_PWD/qtconnectivity
 module_qtconnectivity.target = module-qtconnectivity
 module_qtconnectivity.depends = module_qtsystems
 
+module_qtwayland.subdir = $$IN_PWD/qtwayland
+module_qtwayland.target = module-qtwayland
+module_qtwayland.depends = module_qtbase
+# not yet enabled by default
+module_qtwayland.CONFIG = no_default_target no_default_install
+
 # only qtbase is required to exist. The others may not - but it is the
 # users responsibility to ensure that all needed dependencies exist, or
 # it may not build.
@@ -123,6 +129,7 @@ exists(qtquick3d/qtquick3d.pro): SUBDIRS += module_qtquick3d
 exists(qtdocgallery/qtdocgallery.pro): SUBDIRS += module_qtdocgallery
 exists(qtpim/qtpim.pro): SUBDIRS += module_qtpim
 exists(qtconnectivity/qtconnectivity.pro): SUBDIRS += module_qtconnectivity
+exists(qtwayland/qtwayland.pro): SUBDIRS += module_qtwayland
 
 exists(qtwebkit/Tools/Scripts/build-webkit) {
     SUBDIRS +=  module_qtwebkit \